ServerEvents.recipes(event => {
    event.recipes.botanypots.crop(
        "minecraft:oak_sapling",
        ["dirt"],
        {block:"minecraft:oak_sapling"},
        [
            Item.of("minecraft:oak_log")
                .withChance(1)
                .withRolls(1,2),

            Item.of("seeddelight:acorn")
                .withChance(1)
                .withRolls(2,4),

            Item.of("minecraft:oak_sapling")
                .withChance(0.15)
                .withRolls(1,1)
        ],
        2400,
        1
    )
})